Productsup
CDE APIApi referenceVersions

Show connector version authentications

Show list of authentications with fields registered on connector version.

Sign in to run requests against the CDE API.
GET
/connectors/{publicId}/versions/{connectorVersion}/authentication-registrations

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/authentication-registrations"
{
  "message": "successful operation",
  "resource": "authentication-registrations",
  "data": [
    {
      "id": 20,
      "fields": [
        "pup-auth-etsy_refresh_token"
      ],
      "additional-fields": [
        "pup-auth-option-1",
        "pup-auth-option-2",
        "pup-auth-option-3"
      ]
    },
    {
      "id": 30,
      "fields": [
        "pup-auth-ssl_cert",
        "pup-auth-ssl_cert_password",
        "pup-auth-ssl_cert_type"
      ],
      "additional-fields": [
        "pup-auth-option-1",
        "pup-auth-option-2",
        "pup-auth-option-3"
      ]
    }
  ]
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Access denied for user."
}
{
  "message": "Connector not found."
}

How is this guide?